Debian Bug report logs - #686485
ITP: license-reconcile -- Reconcile license/copyright between package source and debian/copyright file

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nicholas Bamber <periapt@debian.org>

Date: Sun, 2 Sep 2012 07:57:02 UTC

Owned by: Nicholas Bamber <periapt@debian.org>

Severity: wishlist

Fixed in version license-reconcile/0.1

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#686485; Package wnpp. (Sun, 02 Sep 2012 07:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <periapt@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 02 Sep 2012 07:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <periapt@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: license-reconcile -- Reconcile license/copyright between package source and debian/copyright file
Date: Sun, 02 Sep 2012 08:23:33 +0100
Package: wnpp
Severity: wishlist
Owner: Nicholas Bamber <periapt@debian.org>

* Package name    : license-reconcile
  Version         : 0.1
  Upstream Author : Nicholas Bamber <nicholas@periapt.co.uk>
* URL             : https://github.com/periapt/license-reconcile
* License         : Perl
  Programming Lang: Perl
  Description     : Reconcile license/copyright between package source and debian/copyright file

I have a development version finding many discrepancies between the mysql source
and copyright. Currently it only actually reconciles the license data and is
generally unusable. It is probably a month a month away from upload.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 31 Dec 2012 07:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Bamber <periapt@debian.org>:
Bug#686485; Package wnpp. (Mon, 14 Jan 2013 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Bamber <periapt@debian.org>. (Mon, 14 Jan 2013 21:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 686485@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: phil@hands.com
Cc: Debian Perl List <debian-perl@lists.debian.org>, 686485@bugs.debian.org
Subject: Re: [license-reconcile] some more license mappings (#1)
Date: Mon, 14 Jan 2013 21:34:58 +0000
Phil,
	Thanks for the interest. It's actually now under the Debian Perl
Group's reposiitory. I guess I should have updated the ITP so sorry.
It's also been uploaded and is sitting in the new queue. I have to say
after working on this for six months I was just desparate to get at
least 0.1 out of the door.

On 14/01/13 08:54, Philip Hands wrote:
> Hi,
> I've added a few more license mappings, such as:
> 
> 'GPL (v3 or later)' => 'GPL-3+'
> 
> prompted by trying to get the copyright file for freeswitch to be
> somewhere near complete. That also required some patches to licensecheck
> from devscripts, but mostly getting it to shut up about false positives,
> so this patch should be fine even with an unpatched licensecheck.
> Cheers, Phil.
> 
> ------------------------------------------------------------------------
> 
> 
>         You can merge this Pull Request by running
> 
>   git pull https://github.com/phil-hands/license-reconcile master
> 
> Or view, comment on, or merge it at:
> 
>   https://github.com/periapt/license-reconcile/pull/1
> 
> 
>         Commit Summary
> 
>   * add additional string mappings
> 
> 
>         File Changes
> 
>   * *M* lib/Debian/LicenseReconcile/LicenseCheck.pm (7)
> 
> 
>         Patch Links:
> 
>   * https://github.com/periapt/license-reconcile/pull/1.patch
>   * https://github.com/periapt/license-reconcile/pull/1.diff
> 




Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Tue, 19 Mar 2013 16:03:08 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Bamber <periapt@debian.org>:
Bug acknowledged by developer. (Tue, 19 Mar 2013 16:03:08 GMT) Full text and rfc822 format available.

Message #17 received at 686485-close@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 686485-close@bugs.debian.org
Subject: Bug#686485: fixed in license-reconcile 0.1
Date: Tue, 19 Mar 2013 16:00:46 +0000
Source: license-reconcile
Source-Version: 0.1

We believe that the bug you reported is fixed in the latest version of
license-reconcile, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicholas Bamber <nicholas@periapt.co.uk> (supplier of updated license-reconcile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 30 Dec 2012 19:18:52 +0000
Source: license-reconcile
Binary: license-reconcile
Architecture: source all
Version: 0.1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Nicholas Bamber <nicholas@periapt.co.uk>
Description: 
 license-reconcile - tool to reconcile copyright file and source
Closes: 686485
Changes: 
 license-reconcile (0.1) unstable; urgency=low
 .
   * Initial Release (Closes: #686485).
Checksums-Sha1: 
 fc2faf0ad224f4910573acdf2834ab8aa76ad293 2251 license-reconcile_0.1.dsc
 93ef8fd1b6cd307cc6133903f2b8d52fb8977871 35001 license-reconcile_0.1.tar.gz
 ead56ed63098c35a9b12b77ac0ced0abc1792247 65084 license-reconcile_0.1_all.deb
Checksums-Sha256: 
 d6d3e6149bf2cd6233f738b10014f5d9bb6a234f6ff5cab2d557d9467d3cbd2c 2251 license-reconcile_0.1.dsc
 e03528939117154c71512a074d5cef2327ba433e69d1e105719d5f50b7077564 35001 license-reconcile_0.1.tar.gz
 f7d80e965e4e3125104e42d8b7c26a91ea0e0870357635bdd20283ea6c536df7 65084 license-reconcile_0.1_all.deb
Files: 
 91df42c2864dae37f819afc3f6cdb760 2251 devel optional license-reconcile_0.1.dsc
 4e0f8686fcc55b833b6afe9892643426 35001 devel optional license-reconcile_0.1.tar.gz
 474b331de241ef8cc81f4d4ed994c3fe 65084 devel optional license-reconcile_0.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ4JsFAAoJELbE2bY7/+c8nCwQAIjP9wOmiO38JmPdJVv4YKLu
FakrPn+mSPm04+Zd8//bpB30DdU0X8BUMOuK59FOXgIcNOy4Ra6j+dHHpi7NOM87
YEvVdgifuODnsdLd9a9nyjI9GEKkH0Cr9FTGdT8s+7VzsKDFvgflfR7+FB2Ec3BU
jlkWBG2PSHXIc+28yci3grFk9ujWSKawRexmK7S26+poKepB6Jz1HyX3aM5C/qTJ
jjFNx02EN1OJHe5dlvBuKvKpHQMORygqojiEhMyFTcbichjQEc2eRSvalHh2NLnc
H+fv2+gRUsEMocOkE+UuL3yuEqzzvfMnRRQDLvkY7Ad/L0BqzhZEK+0RJ1Eszbdb
P3lLn81hV557QyYfjrp+Qz9vEOKiFY5L6RL6J+gZNgEGdxNtE/4T+xvFS+dycwPe
uIrvFzrhL2iAfycWIo5mGIBIs78jmhb7MOlxfCcbcWTDXCT8Hrj405YDy+ZFduMj
U/VYu1oRyypMgdvB1eZu10DBUlQvZUt3lvY8n486t2jrElCn8bf+kjOimkOyXDrU
DuBViF0622mI1MDa6IZKNGxqQcSW8b9UIY6ad0PSmisLhzotkFg6fvMuQbyh4ZOq
gBTT/oW6H2n4PH0yYUzDBErF1VGH6Dm+1iSF6+EPAXUL9Ep0PyNiJXvwIQK34UD7
BdwlRhvW0BZowrmOHt0k
=CjxG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Apr 2013 07:30:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:11:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.